//------------------------------------------------------------------------------
//--  GPIO - General Purpose I/O for CAN-Enabled MegaSquirt                   --
//--                                                                          --
//--  Copyright (c) 2006 by Eric Fahlgren & Lance Gardiner                    --
//--  All Rights Reserved.                                                    --
//--                                                                          --
//--  This program is free software; you can redistribute it and/or           --
//--  modify it under the terms of the GNU General Public License             --
//--  as published by the Free Software Foundation; either version            --
//--  2 of the License, or (at your option) any later version.                --
//--  See http://www.gnu.org/licenses/gpl.txt                                 --
//------------------------------------------------------------------------------

#ifndef ADC_H
#define ADC_H
//==============================================================================

#define N_ADCS 8

typedef struct {
   UINT08  enabled;
   SINT16 *result;
} s_ADC;

FAR_PROTO(void adc_init  (void));
FAR_PROTO(void adc_enable(UINT08 index, SINT16 *r));
FAR_PROTO(void adc_get   (UINT08 iChannel));
FAR_PROTO(void adc_update(void));

//==============================================================================
#endif
