#!/usr/bin/env python

busFrequency = 24e6   # Hz
targetFreq   = 293.00 # Hz
targetPeriod = 255.00 # <= 255

if 0:
   print "pre  preSfreq   minFreq   PMWfreq"
   for bit in range(8):
      prescaler = 1 << bit
      prescaleFreq = busFrequency / prescaler
      scaler = 512.0
      minFreq = prescaleFreq / scaler
      minPWM  = minFreq / 255.0
      print "%3d  %8.0f  %8.2f  %8.4f" % (prescaler, prescaleFreq, minFreq, minPWM)

print
print targetFreq, "Hz"
pss = busFrequency/targetPeriod/targetFreq
print "prescaler * scaler    =", pss
for bit in range(8):
   prescaler = 1 << bit
   scaler    = pss/prescaler
#  print "%3.0f %10.4f" % (prescaler, scaler)
   if scaler < 512: break

scaler = int((scaler+1)/2)*2
while prescaler <= 128:
   t = targetPeriod*prescaler*scaler/busFrequency
   f = 1/t
   e = 100 - 100 * (targetFreq/f)
   print "%3d(0x%02x)   %3d(0x%02x)  %8.5f  %8.5f %8.4f" % (prescaler, bit, scaler, (scaler/2), t, f, e)
   scaler = int(scaler / 2)
   bit += 1
   prescaler    = 1 << bit

